org.jbpm.services.cdi.impl

## Class BPMN2DataServiceCDIImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.bpmn2.BPMN2DataServiceImpl
  - - org.jbpm.services.cdi.impl.BPMN2DataServiceCDIImpl

- All Implemented Interfaces:
    DefinitionService, DeploymentEventListener

      @ApplicationScoped
      public class BPMN2DataServiceCDIImpl
      extends BPMN2DataServiceImpl

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BPMN2DataServiceCDIImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onActivate(DeploymentEvent event)`
    `void` | `onDeactivate(DeploymentEvent event)`
    `void` | `onDeploy(DeploymentEvent event)`
    `void` | `onUnDeploy(DeploymentEvent event)`

    - ### Methods inherited from class org.jbpm.kie.services.impl.bpmn2.BPMN2DataServiceImpl

      `addProcessDefinition, buildProcessDefinition, getAssociatedEntities, getJavaClasses, getProcessDefinition, getProcessVariables, getReusableSubProcesses, getRuleSets, getServiceTasks, getTaskInputMappings, getTaskOutputMappings, getTasksDefinitions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BPMN2DataServiceCDIImpl

          public BPMN2DataServiceCDIImpl()

  - ### Method Detail

    - #### onDeploy

          public void onDeploy(@Observes
                               DeploymentEvent event)

      Specified by:
        `onDeploy` in interface `DeploymentEventListener`
      Overrides:
        `onDeploy` in class `BPMN2DataServiceImpl`

    - #### onUnDeploy

          public void onUnDeploy(@Observes
                                 DeploymentEvent event)

      Specified by:
        `onUnDeploy` in interface `DeploymentEventListener`
      Overrides:
        `onUnDeploy` in class `BPMN2DataServiceImpl`

    - #### onActivate

          public void onActivate(@Observes
                                 DeploymentEvent event)

      Specified by:
        `onActivate` in interface `DeploymentEventListener`
      Overrides:
        `onActivate` in class `BPMN2DataServiceImpl`

    - #### onDeactivate

          public void onDeactivate(@Observes
                                   DeploymentEvent event)

      Specified by:
        `onDeactivate` in interface `DeploymentEventListener`
      Overrides:
        `onDeactivate` in class `BPMN2DataServiceImpl`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.